| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::AdvancedRenameProcessDialog Class Reference
Inheritance diagram for Digikam::AdvancedRenameProcessDialog:

## Public Member Functions
| AdvancedRenameProcessDialog (const NewNamesList &list, QWidget *const parent=nullptr)
QList< QUrl > | failedUrls () const
Public Member Functions inherited from Digikam::DProgressDlg
| DProgressDlg (QWidget *const parent=nullptr, const QString &caption=QString())
void | setLabel (const QString &text)
void | setTitle (const QString &text)
int | value () const

## Protected Slots
void | slotCancel () override
void | slotRenameFailed (const QUrl &url)
void | slotRenameFinished ()
Protected Slots inherited from Digikam::DProgressDlg
virtual void | slotCancel ()

## Protected Member Functions
void | closeEvent (QCloseEvent *e) override

## Additional Inherited Members
Public Slots inherited from Digikam::DProgressDlg
void | addedAction (const QPixmap &icon, const QString &text)
void | advance (int offset)
void | incrementMaximum (int added)
void | reset ()
void | setButtonText (const QString &text)
void | setMaximum (int max)
void | setValue (int value)
Signals inherited from Digikam::DProgressDlg
void | signalCancelPressed ()